﻿Imports System
Imports System.Net
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Documents
Imports System.Windows.Ink
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Animation
Imports System.Windows.Shapes
Imports System.Windows.Data


Public Class DateConverter
    Implements IValueConverter

    Public Function Convert(
        ByVal value As Object,
        ByVal targetType As Type,
        ByVal parameter As Object,
        ByVal culture As System.Globalization.CultureInfo) As Object Implements IValueConverter.Convert

        If targetType Is GetType(String) AndAlso value.GetType Is GetType(Date) Then
            Return (CDate(value)).ToShortDateString
        Else
            ' unable to convert
            Return value
        End If
    End Function

    Public Function ConvertBack(
        ByVal value As Object,
        ByVal targetType As Type,
        ByVal parameter As Object,
        ByVal culture As System.Globalization.CultureInfo) As Object Implements IValueConverter.ConvertBack

        Throw New NotImplementedException
    End Function
End Class


