﻿Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Net
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Documents
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Animation
Imports System.Windows.Shapes
Imports Microsoft.Phone.Controls

Partial Public Class MainPage
    Inherits PhoneApplicationPage

    Private _currentPerson As Person
    Private _rand As New Random

    ' Constructor
    Public Sub New()
        InitializeComponent()
        AddHandler Loaded, AddressOf MainPage_Loaded
    End Sub

    Private Sub MainPage_Loaded(ByVal sender As Object, ByVal e As RoutedEventArgs)
        SetDataContext()
        AddHandler [Next].Click, AddressOf Next_Click
        AddHandler Change.Click, AddressOf Change_Click
    End Sub

    Private Sub Change_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
        _currentPerson.Name = "Jacob"
    End Sub

    Private Sub SetDataContext()
        GeneratePerson()
        ContentPanel.DataContext = _currentPerson
    End Sub

    Private Sub Next_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
        SetDataContext()
    End Sub

    Private Sub GeneratePerson()

        _currentPerson = New Person With {.Beard = FlipCoin, .Favorite = FlipCoin, .Goatee = FlipCoin, .Height = _rand.NextDouble + 1, .Moustache = FlipCoin, .BirthDate = Date.Now - TimeSpan.FromDays(_rand.Next(1, 365 * 20)), .Name = names(_rand.Next(0, names.Count - 1))}

    End Sub

    Private Function FlipCoin() As Boolean
        Return _rand.Next(1, 3) Mod 2 = 0
    End Function

    Private ReadOnly names As New List(Of String) From
        {
            "Stacey",
            "Robbie",
            "Jess",
            "Robin",
            "Syd",
            "J.J.",
            "Terri",
            "Moonunit"
        }

End Class




