﻿Imports System
Imports System.Net
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Documents
Imports System.Windows.Ink
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Animation
Imports System.Windows.Shapes
Imports System.ComponentModel

Public Class Person
    Implements INotifyPropertyChanged

    Public Enum Sex
        Male
        Female
    End Enum

    Public _name As String
    Public Property Name As String
        Get
            Return _name
        End Get
        Set(ByVal value As String)
            _name = value
            PropChanged("Name")
        End Set
    End Property

    Public Property Moustache As Boolean
    Public Property Goatee As Boolean
    Public Property Beard As Boolean
    Public Property WhichSex As Sex
    Public Property Height As Double
    Public Property BirthDate As Date
    Public Property Favorite As Boolean

    Public Event PropertyChanged As PropertyChangedEventHandler Implements INotifyPropertyChanged.PropertyChanged

    Private Sub PropChanged(ByVal propName As String)
        RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs(propName))

    End Sub
End Class
